On 10/17/2016 11:44 AM, Lachlan Musicman wrote:
> I've had consistent success with the documented system - "rpmbulid
> slurm-<release>.tgz" then yum installing the resulting files, using
> 15.x, 16.05 and 17.02.
well, i had no problems on centos but on fedora there are some hardened policies
that change linkage (as i understood from the tickets), so i had to apply
some patches to build AND run (with only CFLAGS patch it build successfully but
there were dlopen errors because missing symbols so i had to disable the 
policy in order to make it run)

> Have on occasion needed to recompile - hdf5 support and for non main
> line plugins, but otherwise it's been pretty easy.
> Will happily support/debug your efforts, and have used Ole's useful
> notes as well.
> I'm a Centos 7.2 user atm, would happily get from epel or copr.
so this is my slurm copr

it is not clear to me why it failed to build on f23 and f24 when the uploaded 
was build successfully on f23

Thank you!

> Cheers L.
> ------ The most dangerous phrase in the language is, "We've always
> done it this way."
> - Grace Hopper
> On 17 October 2016 at 19:19, Adrian Sevcenco
> <adrian.sevce...@spacescience.ro
> <mailto:adrian.sevce...@spacescience.ro>> wrote:
> On 10/17/2016 10:46 AM, Andrew Elwell wrote:
>> Hi folks,
> Hi!
>> I see from https://bugzilla.redhat.com/show_bug.cgi?id=1149566
>> <https://bugzilla.redhat.com/show_bug.cgi?id=1149566> that there
>> have been a few unsuccessful attempts to get slurm into fedora (and
>> potentially EPEL)
>> Is anyone on this list actively working on it at the moment? I'll 
>> update the bugzilla ticket to prod the last portential packager
>> but failing that I'm offering to work on it.
>> My plan is to get 16.05 into fedora, but not into EPEL itself (the 
>> supported life of a given release is just too short to match with
>> the RHEL timeline), however I'll probably put "unofficial" srpms
>> publicly available that shoud meet all the epel packaging
>> requirements.
>> schedmd people - as some of this may involve patches to the spec
>> file amongst other things, what's the best way to progress this -
>> attach a diff to something on your bugzilla page rather than git
>> pull req?
> Just recently i succeed to build and run successfully 16.05.5 on
> fedora 23 and i had to use patches from : 
> https://bugs.schedmd.com/show_bug.cgi?id=2443
> <https://bugs.schedmd.com/show_bug.cgi?id=2443> and 
> https://groups.google.com/forum/#!topic/slurm-devel/HiltSkNiGJU
> <https://groups.google.com/forum/#!topic/slurm-devel/HiltSkNiGJU>
> (well i succeeded locally as in my copr repo i still have problem
> with f23 and f24 but i don't know why)
> it would seem that these problems on fedora (with the hardened build)
> are known but so far no work towards solving (nor workarounds
> implementation) was done ..
> Thanks, Adrian

Adrian Sevcenco, Ph.D.                       |
Institute of Space Science - ISS, Romania    |
adrian.sevcenco at {cern.ch,spacescience.ro} |

Reply via email to